<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions name="RegistracePojistencePZSB2B"
             targetNamespace="http://xmlns.gem.cz/B0_B2B_s/RegistracePojistencePZSB2B/RegistracePojistencePZSB2B"
             xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
             xmlns:client="http://xmlns.gem.cz/B0_B2B_s/RegistracePojistencePZSB2B/RegistracePojistencePZSB2B"
             xmlns:ns1="http://xmlns.gemsystem.cz/B2B/RegistracePojistencePZSB2B/1"
             xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype">

 	<wsdl:import namespace="http://xmlns.gemsystem.cz/B2B/RegistracePojistencePZSB2B/1" location="RegistracePojistencePZSB2B.xsd" />
	<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	TYPE DEFINITION - List of services participating in this BPEL process
	The default output of the BPEL designer uses strings as input and 
	output to the BPEL Process. But you can define or import any XML 
	Schema type and use them as part of the message types.
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->   
	<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	MESSAGE TYPE DEFINITION - Definition of the message types used as 
	part of the port type defintions
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->      
	<wsdl:message name="RegistracePojistencePZSB2BRequestMessage">
		<wsdl:part name="payload" element="ns1:registracePojistencePZSB2B" />
	</wsdl:message>
	<wsdl:message name="RegistracePojistencePZSB2BResponseMessage">
		<wsdl:part name="payload" element="ns1:registracePojistencePZSB2BOdpoved" />
	</wsdl:message>

	<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	PORT TYPE DEFINITION - A port type groups a set of operations into
	a logical service unit.
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->

	<!-- portType implemented by the RegistracePojistencePZSB2B BPEL process -->
	<wsdl:portType name="RegistracePojistencePZSB2B">
		<wsdl:operation name="process">
			<wsdl:input  message="client:RegistracePojistencePZSB2BRequestMessage" />
			<wsdl:output message="client:RegistracePojistencePZSB2BResponseMessage"/>
		</wsdl:operation>
	</wsdl:portType>

   <wsdl:types>
    <schema xmlns="http://www.w3.org/2001/XMLSchema">
      <import namespace="http://xmlns.gemsystem.cz/B2B/RegistracePojistencePZSB2B/1" schemaLocation="RegistracePojistencePZSB2B.xsd"/>
    </schema>
  </wsdl:types>
  <wsdl:binding name="RegistracePojistencePZSB2BBinding" type="client:RegistracePojistencePZSB2B" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="process">
      <soap:operation style="document" soapAction="process"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="RegistracePojistencePZSB2B" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
    <wsdl:port name="RegistracePojistencePZSB2B" binding="client:RegistracePojistencePZSB2BBinding">
      <soap:address location="*** SERVICE ENDPOINT LOCATION ***"/>
    </wsdl:port>
  </wsdl:service>

  <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	PARTNER LINK TYPE DEFINITION
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ --> 
	<plnk:partnerLinkType name="RegistracePojistencePZSB2B">
		<plnk:role name="RegistracePojistencePZSB2BProvider" portType="client:RegistracePojistencePZSB2B"/>
	</plnk:partnerLinkType>
</wsdl:definitions>
